Loading...
Searching...
No Matches
mpiguard.hh File Reference
Common » Parallel Communication

Implements a MPIGuard which detects an error on a remote process. More...

`#include <mpi.h>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/parallel/communication.hh>`
`#include <dune/common/parallel/mpicommunication.hh>`
`#include <dune/common/parallel/mpihelper.hh>`

Go to the source code of this file.

## Classes

class | Dune::MPIGuardError
| This exception is thrown if the MPIGuard detects an error on a remote process. More...
class | Dune::MPIGuard
| detects a thrown exception and communicates to all other processes More...

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

Implements a MPIGuard which detects an error on a remote process.

Author
  Christian Engwer